/*
 * nmea_uart_string.c
 *
 * Created: 2016. 09. 07. 9:25:55
 * Author : AradiSzilard
 */ 
/******************************************************************************
* Include files
******************************************************************************/
#include <avr/io.h>
#include <avr/interrupt.h>
#include <inttypes.h>
#define F_CPU 8000000UL
#include <util/delay.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "lcd.h"
#include "usart.h"
#include "nmea.h"


/******************************************************************************
* Macros
******************************************************************************/
//LCD on PORTC
#define LCD_mask  0xFF

//USART baud rat: 19.2kbps @ 8MHz
#define USART_BAUD 25



/******************************************************************************
* Constants
******************************************************************************/


/******************************************************************************
* Global Variables
******************************************************************************/
nmeaPosition_t nmeaCurPos;

//Example RMC sentence with correct checksum:
//$GPRMC,123104,A,4729.50,N,1904.77,E,025.1,135.9,300610,011.3,A*49
//Note: Close with 0D0A (\r\n) bytes when sending

/******************************************************************************
* External Variables
******************************************************************************/


/******************************************************************************
* Local Function Declarations
******************************************************************************/


/******************************************************************************
* Local Function Definitions
******************************************************************************/

/******************************************************************************
* Function:        int main(void)
* Description:
* Input:
* Output:
* Notes:
******************************************************************************/
int main(void)
{
	DDRC = LCD_mask;
	lcdinit();
	USART0_Init(USART_BAUD);
	sei();
	
	char uzenet[32];
	
	while(1)
	{
		nmeaProcessReceived();
		nmeaGetCurrentPosition(&nmeaCurPos);
		sprintf(uzenet,"Long=%ld",nmeaCurPos.Lon);
		lcd_rethome();
		lcdreir(uzenet);
	}
}

/******************************************************************************
* Interrupt Routines
******************************************************************************/