#ifndef _NMEA_H_
#define _NMEA_H_

/******************************************************************************
* Include files
******************************************************************************/

/******************************************************************************
* Macros
******************************************************************************/

/******************************************************************************
* Types
******************************************************************************/
typedef struct
{
	uint32_t Tof;
	uint8_t Stat;
	int32_t Lon;
	int32_t Lat;
	uint16_t Alt;
	uint8_t Vel;
	uint16_t Hdg;
	uint8_t Svs;
	int8_t Temp;
	char Tof2[10];
} nmeaPosition_t;

typedef struct 
{
	char Sentence[85];
	uint8_t CharCount;
	uint8_t CheckSum;
	uint8_t ReceivedCheckSum;
} nmeaSentence_t;

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Global Function Declarations
******************************************************************************/
void nmeaInit(void);
void nmeaGetCurrentPosition(nmeaPosition_t *d);
void nmeaProcessReceived(void);

#endif

